System Requirements for WebSphere MQ Everyplace

Product documentation


Abstract

This document contains the system requirements for WebSphere MQ Everyplace.

Content

WebSphere MQ Everyplace (WMQE) V2.0 provides two implementations - a Java™ and a Native C implementation. The Java implementation can be deployed wherever there is an appropriate Java Runtime Environment (defined below). Explicitly supported platforms and hardware are also listed. The Native C implementation is supported only on certain platforms and hardware. The Retail Edition also supports the popular IBM 4690 OS.

WebSphere MQ Everyplace, V2.0 Network Edition:

Software
The following operating systems are the reference platforms for Java. If a problem is experienced within a Java environment IBM may ask for the problem to be recreated on one of the following platforms:

J2ME, WECE

Pocket PC 2002 (ARM)
Pocket PC 2003 (ARM)

J2ME, WECE, J2SE 1.4.2

Windows 2000 Professional
Windows XP Professional
Linux Intel Kernel 2.4
Linux Intel Kernel 2.2

J2SE 1.4.2

Windows 2000 Server
Windows 2003 Server
Windows 2008 Sever
AIX 5.1
AIX 5.2
AIX 5.3
4690
Solaris 8
Solaris 9
HPUX11i
Linux zSeries V2R4
iSeries 5.2
iSeries 5.3
SUSE Linux V9 on pSeries

Note:
The following Java environments (or greater functionality) are supported for WMQE v2.0 deployment, runtime, and development:

J2ME CLDC/MIDP
J2ME CDC/Foundation
WECE jclRM

WMQE is only supported on JVMs carrying the "Java Compatible" Sun logo or the "Java Powered" Sun logo.

Other
WMQE v2.0 is also supported on certain non-Java platforms with its Native C implementation.

WebSphere MQ Everyplace client functionality is also available on specific platforms with a C implementation with a C API.

Windows 2000 Professional
Windows 2000 Server
Windows 2003 Server
Windows Embedded for Point of Service Version 1.0
Windows Embedded POSReady 7 - 32 bit only
Windows Embedded POSReady 2009 - 32 bit only

Pocket PC 2002 (ARM) - Reference platform H3100 Series

Pocket PC 2003 (ARM) - Reference platform: H3800 Series

WinCE .NET V4.2 (ARM) - Reference Platform: Fujitsu TeamPad 400g

Windows Mobile 5 (ARM) - Reference Platform HP iPAQ hx2400 series



WebSphere MQ Everyplace, V2.0 Retail Edition:

Hardware
For the following devices Java must be fully compatible with Java tested on these platforms for services to be available: HP Journada devices (680 or 820) running Windows CE; Palm V; IBM Workpad® C3.

Software
IBM Java Runtime Environment or IBM Java Development Kit (JDK), Version 1.1.8 or higher, including J2ME

Microsoft Virtual Machine for Java, Version 5.0.3155 or higher

Any JRE that is Sun Java compatible, Version 1.1 or higher

Any J2ME runtime that supports CLDC/MIDP or CDC/Foundation (e.g., IBM WebSphere Studio Micro Edition or other "Java Powered" runtimes)

Other

Software
WMQE v2.0 Retail Edition can be deployed anywhere there is an appropriate Java Runtime Environment (JRE) with its Java implementation.

WebSphere MQ Everyplace client functionality is also available on specific platforms with a C implementation with a C API

Hardware
Network Edition supported operating systems running on IBM SurePOS™ hardware.

Network Edition supported operating systems running on similar point-of-sale hardware.

Network Edition supported operating systems with point-of-sale hardware attached as client.

Any Year 2000-ready vendor hardware that is explicitly compatible with and fully capable of running the specified operating system, all the corresponding supporting software and any associated applications, unmodified.

Responsibility to provide statement of full compatibility between machines lies with the original equipment manufacturer.

Product Alias/Synonym

WMQE

Rate this page:

(0 users)Average rating

Document information


More support for:

WebSphere MQ Everyplace
Documentation

Software version:

2.0

Operating system(s):

AIX, HP-UX, Linux, Palm OS, Solaris, Windows

Reference #:

7024924

Modified date:

2012-11-30

Translate my page

Machine Translation

Content navigation